import httpService from "@/request"

// 房产 楼栋
// 楼栋列表
export function buildingList(params) {
	return httpService({
		url: `/user/building/list`,
		method: 'get',
		params: params,
	})
}
// 楼栋删除
export function buildingDel(params) {
	return httpService({
		url: `/user/building/deleteBuilding`,
		method: 'post',
		data: params,
	})
}

// 房屋列表
export function houseList(params) {
	return httpService({
		url: `/user/estate/list`,
		method: 'get',
		params: params,
	})
}
// 房屋列表
export function houseInsert(params) {
	return httpService({
		url: `/user/estate/insert`,
		method: 'post',
		data: params,
	})
}
// 房屋删除
export function houseDel(params) {
	return httpService({
		url: `/user/estate/delete`,
		method: 'post',
		data: params,
	})
}
// 房屋租聘切换
export function isEnableLease(params) {
	return httpService({
		url: `/user/estate/isEnableLease`,
		method: 'get',
		params: params,
	})
}
