import httpService from "@/request"

/**
 *
 * 住户
 * @param {*} params
 * @returns
 * 
 * 住户列表
 */
export function residentList(params) {
	return httpService({
		url: `/user/resident/list`,
		method: 'get',
		params: params,
	})
}
// 审核列表
export function reviewList(params) {
	return httpService({
		url: `/user/review/list`,
		method: 'get',
		params: params,
	})
}
// 审核通过 不通过
export function review(params) {
	return httpService({
		url: `/user/review/review`,
		method: 'post',
		data: params,
	})
}
