/**
 * 配置
 * 表格列
 */
export const columns = [
	{
		title: "楼栋名称",
		dataIndex: "name",
		width: "20%",
	},
	{
		title: "房屋总数",
		dataIndex: "estateTotals",
		width: "20%",
	},
	{
		title: "租赁房屋数",
		dataIndex: "leaseEstateNums",
		width: "20%"
	},
	{
		title: "租赁率",
		dataIndex: "leaseRate",
		width: "20%",
		customRender:function(leaseRate){
			return leaseRate+'%'
		}
	},
	{
		title: "入住率",
		dataIndex: "occupancyRate",
		width: "20%",
		customRender:function(occupancyRate){
			return occupancyRate+'%'
		}
	},
	{
		title: "操作",
		dataIndex: "action",
		key: "action",
		width: "180",
		fixed: "right",
		scopedSlots: { customRender: "action" },
	},
]
// 搜索项
export const searchForm = {
	name: "",
}
// 分页
export const pagination = {
	current: 1,
	total: 0,
	pageSize: 10,
}